Skip to main content
GET
/
more_hours
/
list
List Google more hours
curl --request GET \
  --url https://api.partoo.co/v2/more_hours/list \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/more_hours/list"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/more_hours/list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "more_hours": [
    {
      "gmb_id": "BREAKFAST",
      "name": "Breakfast"
    },
    {
      "gmb_id": "BRUNCH",
      "name": "Brunch"
    },
    {
      "gmb_id": "DELIVERY",
      "name": "Delivery"
    },
    {
      "gmb_id": "DINNER",
      "name": "Dinner"
    },
    {
      "gmb_id": "DRIVE_THROUGH",
      "name": "Drive through"
    },
    {
      "gmb_id": "HAPPY_HOUR",
      "name": "Happy hours"
    },
    {
      "gmb_id": "KITCHEN",
      "name": "Kitchen"
    },
    {
      "gmb_id": "LUNCH",
      "name": "Lunch"
    },
    {
      "gmb_id": "ONLINE_SERVICE_HOURS",
      "name": "Online service hours"
    },
    {
      "gmb_id": "PICKUP",
      "name": "Pickup"
    },
    {
      "gmb_id": "TAKEOUT",
      "name": "Takeout"
    },
    {
      "gmb_id": "SENIOR_HOURS",
      "name": "Senior hours"
    },
    {
      "gmb_id": "ACCESS",
      "name": "Access"
    }
  ]
}
{
  "errors": {
    "json": {
      "category": "is required",
      "country": "is required"
    }
  }
}
{
  "errors": {
    "authentication": "User not authenticated"
  }
}
{
  "errors": {
    "authorization": "Operation not allowed"
  }
}
{
  "errors": {
    "json": "Resource not found"
  }
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

category
string
required

Category for which availabe More Hour IDs will be fetched.

Example:

"gcid:restaurant"

country
string
required

Country for which available More Hour IDs will be fetched - use ISO 3166 alpha2 code ("FR", "EN", "IT").

lang
enum<string>

Language in which the More Hours names will be translated. If language is not specified, by default we take the language of the user.

Available options:
fr,
es,
it,
en,
de,
pt,
pt-BR

Response

OK

more_hours
object[]

List of More Hour IDs for a given category and country.

Example:
[
  {
    "gmb_id": "BREAKFAST",
    "name": "Breakfast"
  },
  { "gmb_id": "BRUNCH", "name": "Brunch" },
  { "gmb_id": "DELIVERY", "name": "Delivery" },
  { "gmb_id": "DINNER", "name": "Dinner" },
  {
    "gmb_id": "DRIVE_THROUGH",
    "name": "Drive through"
  },
  {
    "gmb_id": "HAPPY_HOUR",
    "name": "Happy hours"
  },
  { "gmb_id": "KITCHEN", "name": "Kitchen" },
  { "gmb_id": "LUNCH", "name": "Lunch" },
  {
    "gmb_id": "ONLINE_SERVICE_HOURS",
    "name": "Online service hours"
  },
  { "gmb_id": "PICKUP", "name": "Pickup" },
  { "gmb_id": "TAKEOUT", "name": "Takeout" },
  {
    "gmb_id": "SENIOR_HOURS",
    "name": "Senior hours"
  },
  { "gmb_id": "ACCESS", "name": "Access" }
]